// SPDX-License-Identifier: MIT
pragma solidity ^0.8.20;

interface IWeaver {
    function currentWeavingSession() external view returns (uint256);
    function startWeavingSession() external view returns (uint256);
    function getSlotValues(uint256 globalIndex, uint256 session, uint256 atBlock) external view returns (bytes32[] memory);
    function getProof(uint256 globalIndex, uint256 session, uint256 atBlock) external view returns (bytes32[] memory);
    function getRoot(uint256 session, uint256 atBlock) external view returns (bytes32, uint256);
}
